Bug 139167 - Some Desktop shortcuts do not accept <Mod4> bindings
Some Desktop shortcuts do not accept <Mod4> bindings
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Control Center Maintainer
David Lawrence
: Reopened
: 143837 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2004-11-13 10:06 EST by Matthew Mott
Modified: 2009-07-14 12:52 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-14 12:52:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matthew Mott 2004-11-13 10:06:34 EST
Description of problem:
The "Home Folder" and "Lock Screen" shortcuts do not function with
<Mod4> (the Windows key) keybindings. They will accept the binding in
the dialog, and correctly identify the <Mod4> modifier (which FC2 did
not), however when the shortcuts are typed nothing happens.

Strangely the "Show the panel run dialog" does accept these shortcuts,
so Win-R can be bound to the run command as in Windows, however the
other commands do not. The other commands *do* accept other bindings,

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
See description
Actual results:
See description

Expected results:

Additional info:
The keyboard option "Meta is mapped to the Win keys" has to be enabled
for the dialog to accept <Mod4> bindings. Otherwise it will not
recognise the key as a modifier and just inserts "Super_L"
Comment 1 Brett Porter 2005-01-03 21:56:59 EST
I am also experiencing this.

If I use "Meta is mapped to the Win keys", oddly my "p" key gets disabled.

Instead, I removed this setting and used xmodmap to add the modifiers
(see below).

Show desktop, run and go to desktop 1, 2, 3, 4 work.
Lock screen, show web browser, email, mute, and more do not work.

xmodmap:  up to 3 keys per modifier, (keycodes in parentheses):

shift       Shift_L (0x32),  Shift_R (0x3e)
lock        Caps_Lock (0x42)
control     Control_L (0x25),  Control_R (0x6d)
mod1        Alt_L (0x40),  Alt_L (0x7d),  Meta_L (0x9c)
mod2        Num_Lock (0x4d)
mod4        Super_L (0x73),  Super_L (0x7f),  Super_R (0x74)
mod5        Mode_switch (0x5d),  ISO_Level3_Shift (0x7c)
Comment 2 Brett Porter 2005-01-03 22:06:25 EST
it seems that only the keys configured via metacity work - those that are
configured for gnome-settings-daemon do not.
Comment 3 Ryan Baumann 2005-05-18 14:09:46 EDT
I've filed a trivial patch for this upstream at:

I'm using the patch on my systems and it works fine. Hopefully someone over at
GNOME will take a look at it and include it.
Comment 4 Ben 2006-04-14 02:15:46 EDT
Just adding myself to the CC list. Guess I'll use my own patched
gnome-settings-daemon for the foreseeable future. This really is inconsistent.
Comment 5 Matthew Miller 2006-07-10 18:11:38 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 6 Ben 2006-07-10 18:55:12 EDT
Yes, it's still present in FC5.

I haven't checked GNOME CVS, but there's no indication in the upstream bug that
the fix was committed. Until that changes it will be in FC6 as well.
Comment 7 Matthew Miller 2006-07-11 11:25:13 EDT
Moving to devel, as I'm judging it unlikely that there will be an update to
Gnome for FC5 for this. But hopefully that upstream fix will get in for the next
Comment 8 Matthew Miller 2006-07-11 14:19:58 EDT
(clearing needinfo bit)
Comment 9 Topher 2006-10-03 17:32:08 EDT
I'm not sure that control-center is the root of the problem.  I sometimes get
the same behavior while using just Fluxbox, and othertimes (just by logging out,
then logging in again) it works correctly.  Would this have anything to do with
control-center?  I used xbindkeys to show my keystrokes when it was broken, and
when it was working correctly.  Here's what happened when I pressed Mod4+z:

When it was working:
    m:0x40 + c:52
    Mod4 + z
    m:0x40 + c:115
    Mod4 + Super_L

When it was broken:
    m:0x0 + c:52
    m:0x0 + c:115
Comment 10 Ben 2006-10-03 17:41:14 EDT

Sorry, this bug refers to the fact that control-center specifically refuses
certain keybindings. A patch exists.

Have you tried checking just Mod4? Are you sure it's mapped (maybe you ran
xmodmap or similar)?
Comment 11 Ray Strode [halfline] 2006-11-26 19:36:24 EST
*** Bug 143837 has been marked as a duplicate of this bug. ***
Comment 12 Bastien Nocera 2007-02-14 08:19:18 EST
This is a known problem, see Ray's explanation upstream at:

The fix would be to make use of GTK+'s new feature which allows to recognise
what each modifier is bound to, so we can ignore CapsLock, NumLock, but not
Shift or the Windows key when capturing key bindings.
Comment 13 Bug Zapper 2008-04-03 11:46:13 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 14 Bug Zapper 2008-05-06 20:03:34 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
Comment 15 Bastien Nocera 2008-05-07 08:26:54 EDT
Still a problem.
Comment 16 Bug Zapper 2008-05-13 21:58:28 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 17 Bug Zapper 2009-06-09 18:00:02 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 18 Bug Zapper 2009-07-14 12:52:37 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.